org.apache.felix.scrplugin.description

## Class ReferenceDescription

- java.lang.Object
- - org.apache.felix.scrplugin.description.AbstractDescription
  - - org.apache.felix.scrplugin.description.ReferenceDescription

    public class ReferenceDescription
    extends AbstractDescription

A `ReferenceDescription` describes a reference from a component to another service. In general all fields should be set by an annocation scanner, no default values should be assumed for these fields:

- name
- interfaceName
- target
- cardinality
- policy
- policyOption
- strategy

These values have the following default values:

- field : null
- bind : null
- unbind : null
- updated : null

### Field Summary

### Fields inherited from class org.apache.felix.scrplugin.description.AbstractDescription

`annotation`

### Constructor Summary

Constructors
Constructor and Description
`ReferenceDescription(ScannedAnnotation annotation)`

### Method Summary

All Methods Instance Methods Concrete Methods
`AbstractDescription` `clone()`
`String` `getBind()`
`ReferenceCardinality` `getCardinality()`
`Field` `getField()`
`String` `getIdentifier()`
`String` `getInterfaceName()`
`String` `getName()`
`ReferencePolicy` `getPolicy()`
`ReferencePolicyOption` `getPolicyOption()`
`ReferenceStrategy` `getStrategy()`
`String` `getTarget()`
`String` `getUnbind()`
`String` `getUpdated()`
`boolean` `isBindMethodCreated()`
`boolean` `isUnbindMethodCreated()`
`void` `setBind(String bind)`
`void` `setBindMethodCreated(boolean bindMethodCreated)`
`void` `setCardinality(ReferenceCardinality cardinality)`
`void` `setField(Field field)`
`void` `setInterfaceName(String interfacename)`
`void` `setName(String name)`
`void` `setPolicy(ReferencePolicy policy)`
`void` `setPolicyOption(ReferencePolicyOption policyOption)`
`void` `setStrategy(ReferenceStrategy strategy)`
`void` `setTarget(String target)`
`void` `setUnbind(String unbind)`
`void` `setUnbindMethodCreated(boolean unbindMethodCreated)`
`void` `setUpdated(String updated)`
`String` `toString()`

### Methods inherited from class org.apache.felix.scrplugin.description.AbstractDescription

`getAnnotation, getSource, setSource`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ReferenceDescription

    public ReferenceDescription(ScannedAnnotation annotation)

### Method Detail

#### getName

    public String getName()

#### setName

    public void setName(String name)

#### getInterfaceName

    public String getInterfaceName()

#### setInterfaceName

    public void setInterfaceName(String interfacename)

#### getTarget

    public String getTarget()

#### setTarget

    public void setTarget(String target)

#### getCardinality

    public ReferenceCardinality getCardinality()

#### setCardinality

    public void setCardinality(ReferenceCardinality cardinality)

#### getPolicy

    public ReferencePolicy getPolicy()

#### setPolicy

    public void setPolicy(ReferencePolicy policy)

#### getPolicyOption

    public ReferencePolicyOption getPolicyOption()

#### setPolicyOption

    public void setPolicyOption(ReferencePolicyOption policyOption)

#### getBind

    public String getBind()

#### setBind

    public void setBind(String bind)

#### getUnbind

    public String getUnbind()

#### setUnbind

    public void setUnbind(String unbind)

#### getUpdated

    public String getUpdated()

#### setUpdated

    public void setUpdated(String updated)

#### getStrategy

    public ReferenceStrategy getStrategy()

#### setStrategy

    public void setStrategy(ReferenceStrategy strategy)

#### getField

    public Field getField()

#### setField

    public void setField(Field field)

#### isBindMethodCreated

    public boolean isBindMethodCreated()

#### setBindMethodCreated

    public void setBindMethodCreated(boolean bindMethodCreated)

#### isUnbindMethodCreated

    public boolean isUnbindMethodCreated()

#### setUnbindMethodCreated

    public void setUnbindMethodCreated(boolean unbindMethodCreated)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getIdentifier

    public String getIdentifier()

Overrides:
  `getIdentifier` in class `AbstractDescription`

#### clone

    public AbstractDescription clone()

Specified by:
  `clone` in class `AbstractDescription`